Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.model
Class NodeInstanceDesc

    java.lang.Object
      org.jbpm.kie.services.impl.model.NodeInstanceDesc

All Implemented Interfaces:
  Serializable, NodeInstanceDesc

    public class NodeInstanceDesc

extends Object
implements NodeInstanceDesc, Serializable

See Also:
  Serialized Form

Constructor Summary
`NodeInstanceDesc()`
`NodeInstanceDesc(String id, String nodeId, String name, String nodeType, String deploymentId, long processInstanceId, Date date, String connection, int type, Long workItemId)`

Method Summary
`String` | `getConnection()`
`Date` | `getDataTimeStamp()`
`String` | `getDeploymentId()`
`Long` | `getId()`
`String` | `getName()`
`String` | `getNodeId()`
`String` | `getNodeType()`
`Long` | `getProcessInstanceId()`
`Long` | `getWorkItemId()`
`boolean` | `isCompleted()`
`void` | `setConnection(String incomingConnection)`
`void` | `setNodeId(String nodeUniqueId)`
`void` | `setWorkItemId(Long workItemId)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeInstanceDesc

    public NodeInstanceDesc()

### NodeInstanceDesc

    public NodeInstanceDesc(String id,
                            String nodeId,
                            String name,
                            String nodeType,
                            String deploymentId,
                            long processInstanceId,
                            Date date,
                            String connection,
                            int type,
                            Long workItemId)

Method Detail

### getId

    public Long getId()

  Specified by:
    `getId` in interface `NodeInstanceDesc`

### getName

    public String getName()

  Specified by:
    `getName` in interface `NodeInstanceDesc`

### getDeploymentId

    public String getDeploymentId()

  Specified by:
    `getDeploymentId` in interface `NodeInstanceDesc`

### getProcessInstanceId

    public Long getProcessInstanceId()

  Specified by:
    `getProcessInstanceId` in interface `NodeInstanceDesc`

### getDataTimeStamp

    public Date getDataTimeStamp()

  Specified by:
    `getDataTimeStamp` in interface `NodeInstanceDesc`

### getNodeType

    public String getNodeType()

  Specified by:
    `getNodeType` in interface `NodeInstanceDesc`

### getNodeId

    public String getNodeId()

  Specified by:
    `getNodeId` in interface `NodeInstanceDesc`

### setNodeId

    public void setNodeId(String nodeUniqueId)

### isCompleted

    public boolean isCompleted()

  Specified by:
    `isCompleted` in interface `NodeInstanceDesc`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getConnection

    public String getConnection()

  Specified by:
    `getConnection` in interface `NodeInstanceDesc`

### setConnection

    public void setConnection(String incomingConnection)

### getWorkItemId

    public Long getWorkItemId()

  Specified by:
    `getWorkItemId` in interface `NodeInstanceDesc`

### setWorkItemId

    public void setWorkItemId(Long workItemId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.